STRUCT UP(3)

NAME
boost::interprocess::interprocess_upgradable_mutex::upgradable_to_exclusive_rollback

SYNOPSIS

// In header: <boost/interprocess/sync/interprocess_upgradable_mutex.hpp>
struct upgradable_to_exclusive_rollback {
  // construct/copy/destruct
  upgradable_to_exclusive_rollback(control_word_t &);
  ~upgradable_to_exclusive_rollback();
  // public member functions
  void release();
  control_word_t * mp_ctrl;
};

DESCRIPTION

  upgradable_to_exclusive_rollback public construct/copy/destruct

    1.

    upgradable_to_exclusive_rollback(control_word_t & ctrl);

    2.

    ~upgradable_to_exclusive_rollback();

  upgradable_to_exclusive_rollback public member functions

    1.

    void release();